#!/bin/sh

usage() {
	echo "usage: generation.sh <number of sequences> <number_of_reads>"
	exit 1
}

if [ $# != 2 ]; then
	usage
fi

sequences=$1
number_of_reads=$2
data_directory="data/"
fastq=".fastq"
filename="sequence"
prefix="curesim_"

Rscript src/repertoire.r "$sequences" "$number_of_reads" &&
	java -jar tools/CuReSim.jar -f "$data_directory$filename$fastq" -o "$data_directory$prefix$filename$fastq"
rm "$data_directory/log.txt"
